Skip to main content
GET
/
payment
/
open
/
institution
/
v1
/
pay
/
fixedaddress
/
order
/
query
Query static collection code bill list
curl --request GET \
  --url https://openplatform.gateapi.io/payment/open/institution/v1/pay/fixedaddress/order/query \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "status": "<string>",
  "code": "<string>",
  "errorMessage": "<string>",
  "data": {
    "total": 123,
    "details": [
      {
        "chain": "<string>",
        "channelId": "<string>",
        "currency": "<string>",
        "address": "<string>",
        "amount": "<string>",
        "status": "<string>",
        "txTime": 123,
        "fromAddress": "<string>",
        "txHash": "<string>",
        "transactionId": "<string>"
      }
    ]
  }
}

Headers

X-GatePay-Certificate-ClientId
string
required

The clientId assigned when the merchant registers an application in the Gate merchant console.

Example:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
required

Request signature. GatePay uses this signature to verify whether the request is valid.

X-GatePay-Timestamp
string
required

UTC timestamp in milliseconds when the request is generated. GatePay will not process requests where the difference from the receive time exceeds 10 seconds.

Example:

"1672905655498"

X-GatePay-Nonce
string
required

Random string. Must comply with HTTP header rules; recommended length is within 32 characters, composed of digits and letters.

Example:

"9578"

X-GatePay-On-Behalf-Of
string
required

The institution account id being acted on behalf of (sub-account ID).

Example:

"2124538349"

Query Parameters

channelId
string
required

Channel/client name

chain
string
required

Network

startTime
integer<int64>
required

Start time (ms)

endTime
integer<int64>
required

End time (ms)

page
integer
default:0

Page number, from 0

count
integer

Page size, max 5000

address
string

Recipient Web3 address

fromAddress
string

Payer Web3 address

txHash
string

Transaction hash

Response

200 - application/json

Success

status
string
code
string
errorMessage
string
data
object